// Listen to item tag event
ServerEvents.tags('item', event => {
  // Get the #minecraft:swords tag collection and add modded swords to it
    event.add('forge:bows', 'ironbows:iron_bow')
    event.add('forge:bows', 'ironbows:gold_bow')
    event.add('forge:bows', 'ironbows:diamond_bow')
    event.add('forge:bows', 'ironbows:emerald_bow')
    event.add('forge:bows', 'ironbows:netherite_bow')
    event.add('forge:bows', 'aether:phoenix_bow')
    event.add('forge:bows', 'ars_nouveau:spell_bow')
    event.add('forge:crossbows', 'ironbows:iron_crossbow')
    event.add('forge:crossbows', 'ironbows:gold_crossbow')
    event.add('forge:crossbows', 'ironbows:diamond_crossbow')
    event.add('forge:crossbows', 'ironbows:emerald_crossbow')
    event.add('forge:crossbows', 'ironbows:netherite_crossbow')
    event.add('forge:crossbows', 'aether_redux:subzero_crossbow')
    event.add('forge:crossbows', 'ars_nouveau:spell_crossbow')
    event.add('minecraft:hoes', 'aethersteel:aethersteel_hoe')
    event.add('minecraft:hoes', 'copperworks:copper_broad_hoe')
    event.add('minecraft:hoes', 'deep_aether:skyjade_hoe')
    event.add('minecraft:hoes', 'deep_aether:stratus_hoe')
    event.add('minecraft:hoes', 'nethers_exoticism:kiwano_hoe')
    event.add('minecraft:hoes', 'oresabovediamonds:amethyst_hoe')
    event.add('minecraft:hoes', 'oresabovediamonds:black_opal_hoe')
    event.add('minecraft:hoes', 'oresabovediamonds:netherite_opal_hoe')
    event.add('minecraft:hoes', 'stalwart_dungeons:tungsten_hoe')
    event.add('minecraft:hoes', 'stalwart_dungeons:chorundum_hoe')
    event.add('minecraft:hoes', 'silentgear:hoe')
    event.add('minecraft:axes', 'aethersteel:aethersteel_axe')
    event.add('minecraft:axes', 'copperworks:copper_broad_axe')
    event.add('minecraft:axes', 'deep_aether:skyjade_axe')
    event.add('minecraft:axes', 'deep_aether:stratus_axe')
    event.add('minecraft:axes', 'nethers_exoticism:kiwano_axe')
    event.add('minecraft:axes', 'oresabovediamonds:amethyst_axe')
    event.add('minecraft:axes', 'oresabovediamonds:black_opal_axe')
    event.add('minecraft:axes', 'oresabovediamonds:netherite_opal_axe')
    event.add('minecraft:axes', 'stalwart_dungeons:tungsten_axe')
    event.add('minecraft:axes', 'stalwart_dungeons:chorundum_axe')
    event.add('minecraft:axes', 'silentgear:axe')
    event.add('minecraft:pickaxes', 'aethersteel:aethersteel_pickaxe')
    event.add('minecraft:pickaxes', 'copperworks:copper_broad_pickaxe')
    event.add('minecraft:pickaxes', 'deep_aether:skyjade_pickaxe')
    event.add('minecraft:pickaxes', 'deep_aether:stratus_pickaxe')
    event.add('minecraft:pickaxes', 'nethers_exoticism:kiwano_pickaxe')
    event.add('minecraft:pickaxes', 'oresabovediamonds:amethyst_pickaxe')
    event.add('minecraft:pickaxes', 'oresabovediamonds:black_opal_pickaxe')
    event.add('minecraft:pickaxes', 'oresabovediamonds:netherite_opal_pickaxe')
    event.add('minecraft:pickaxes', 'stalwart_dungeons:tungsten_pickaxe')
    event.add('minecraft:pickaxes', 'stalwart_dungeons:chorundum_pickaxe')
    event.add('minecraft:pickaxes', 'silentgear:pickaxe')
    event.add('minecraft:shears', 'aethersteel:aethersteel_shears')
    event.add('minecraft:shovels', 'aethersteel:aethersteel_shovel')
    event.add('minecraft:shovels', 'copperworks:copper_broad_shovel')
    event.add('minecraft:shovels', 'deep_aether:skyjade_shovel')
    event.add('minecraft:shovels', 'deep_aether:stratus_shovel')
    event.add('minecraft:shovels', 'nethers_exoticism:kiwano_shovel')
    event.add('minecraft:shovels', 'oresabovediamonds:amethyst_shovel')
    event.add('minecraft:shovels', 'oresabovediamonds:black_opal_shovel')
    event.add('minecraft:shovels', 'oresabovediamonds:netherite_opal_shovel')
    event.add('minecraft:shovels', 'stalwart_dungeons:tungsten_shovel')
    event.add('minecraft:shovels', 'stalwart_dungeons:chorundum_shovel')
    event.add('minecraft:shovels', 'silentgear:shovel')
    event.add('minecraft:swords', 'aethersteel:aethersteel_sword')
    event.add('minecraft:swords', 'copperworks:copper_broad_sword')
    event.add('minecraft:swords', 'deep_aether:skyjade_sword')
    event.add('minecraft:swords', 'deep_aether:stratus_sword')
    event.add('minecraft:swords', 'nethers_exoticism:kiwano_sword')
    event.add('minecraft:swords', 'oresabovediamonds:amethyst_sword')
    event.add('minecraft:swords', 'oresabovediamonds:black_opal_sword')
    event.add('minecraft:swords', 'oresabovediamonds:netherite_opal_sword')
    event.add('minecraft:swords', 'stalwart_dungeons:tungsten_sword')
    event.add('minecraft:swords', 'stalwart_dungeons:chorundum_sword')
    event.add('minecraft:swords', 'silentgear:sword')
    event.add('bookshelf:boots', 'dustrial_decor:cardboard_boots')
    event.add('bookshelf:boots', 'aethersteel:aethersteel_armor_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:archie_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:bidoof_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:caterpiecosplay_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:cyrus_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:deerlingcosplay_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:dhelmisecosplay_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:durantcosplay_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:eiscuecosplay_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:geodudecosplay_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:giovanni_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:horseacosplay_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:igglypuffcosplay_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:koffingcosplay_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:machopcosplay_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:maxie_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:n_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:natucosplay_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:neo_team_plasma_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:pachirisucosplay_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:slugmacosplay_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:sneaselcosplay_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:swinubcosplay_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:team_aqua_grunt_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:team_flair_grunt_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:team_galactic_grunt_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:team_magma_grunt_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:team_plasma_grunt_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:team_rocket_grunt_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:team_skull_grunt_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:wooloocosplay_boots')
    event.add('bookshelf:boots', 'cobblemon_armor_sets:yanmacosplay_boots')
    event.add('bookshelf:boots', 'endlessbiomes:anklor_shell_boots')
    event.add('bookshelf:boots', 'galoshpere:sterling_boots')
    event.add('bookshelf:boots', 'immersive_armors:bone_boots')
    event.add('bookshelf:boots', 'immersive_armors:divine_boots')
    event.add('bookshelf:boots', 'immersive_armors:heavy_boots')
    event.add('bookshelf:boots', 'immersive_armors:prismarine_boots')
    event.add('bookshelf:boots', 'immersive_armors:robe_boots')
    event.add('bookshelf:boots', 'immersive_armors:slime_boots')
    event.add('bookshelf:boots', 'immersive_armors:steampunk_boots')
    event.add('bookshelf:boots', 'immersive_armors:warrior_boots')
    event.add('bookshelf:boots', 'immersive_armors:wither_boots')
    event.add('bookshelf:boots', 'immersive_armors:wooden_boots')
    event.add('bookshelf:boots', 'nethers_exoticism:kiwano_boots')
    event.add('bookshelf:boots', 'oresabovediamonds:amethyst_boots')
    event.add('bookshelf:boots', 'oresabovediamonds:black_opal_boots')
    event.add('bookshelf:boots', 'oresabovediamonds:netherite_opal_boots')
    event.add('bookshelf:boots', 'suba_gear:scuba_boots')
    event.add('bookshelf:boots', 'stalwart_dungeons:tungsten_boots')
    event.add('bookshelf:boots', 'stalwart_dungeons:chorundum_boots')
    event.add('bookshelf:boots', 'stalwart_dungeons:warted_tungsten_boots')
    event.add('bookshelf:boots', 'copperworks:rocket_boots')
    event.add('bookshelf:chestplates', 'dustrial_decor:cardboard_chestplate')
    event.add('bookshelf:chestplates', 'aethersteel:aethersteel_armor_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:archie_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:bidoof_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:caterpiecosplay_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:cyrus_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:deerlingcosplay_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:dhelmisecosplay_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:durantcosplay_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:eiscuecosplay_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:geodudecosplay_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:giovanni_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:horseacosplay_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:igglypuffcosplay_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:koffingcosplay_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:machopcosplay_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:maxie_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:n_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:natucosplay_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:neo_team_plasma_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:pachirisucosplay_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:slugmacosplay_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:sneaselcosplay_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:swinubcosplay_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:team_aqua_grunt_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:team_flair_grunt_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:team_galactic_grunt_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:team_magma_grunt_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:team_plasma_grunt_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:team_rocket_grunt_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:team_skull_grunt_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:wooloocosplay_chestplate')
    event.add('bookshelf:chestplates', 'cobblemon_armor_sets:yanmacosplay_chestplate')
    event.add('bookshelf:chestplates', 'endlessbiomes:anklor_shell_chestplate')
    event.add('bookshelf:chestplates', 'galoshpere:sterling_chestplate')
    event.add('bookshelf:chestplates', 'immersive_armors:bone_chestplate')
    event.add('bookshelf:chestplates', 'immersive_armors:divine_chestplate')
    event.add('bookshelf:chestplates', 'immersive_armors:heavy_chestplate')
    event.add('bookshelf:chestplates', 'immersive_armors:prismarine_chestplate')
    event.add('bookshelf:chestplates', 'immersive_armors:robe_chestplate')
    event.add('bookshelf:chestplates', 'immersive_armors:slime_chestplate')
    event.add('bookshelf:chestplates', 'immersive_armors:steampunk_chestplate')
    event.add('bookshelf:chestplates', 'immersive_armors:warrior_chestplate')
    event.add('bookshelf:chestplates', 'immersive_armors:wither_chestplate')
    event.add('bookshelf:chestplates', 'immersive_armors:wooden_chestplate')
    event.add('bookshelf:chestplates', 'nethers_exoticism:kiwano_chestplate')
    event.add('bookshelf:chestplates', 'oresabovediamonds:amethyst_chestplate')
    event.add('bookshelf:chestplates', 'oresabovediamonds:black_opal_chestplate')
    event.add('bookshelf:chestplates', 'oresabovediamonds:netherite_opal_chestplate')
    event.add('bookshelf:chestplates', 'suba_gear:scuba_chestplate')
    event.add('bookshelf:chestplates', 'stalwart_dungeons:tungsten_chestplate')
    event.add('bookshelf:chestplates', 'stalwart_dungeons:chorundum_chestplate')
    event.add('bookshelf:chestplates', 'stalwart_dungeons:warted_tungsten_chestplate')
    event.add('bookshelf:chestplates', 'copperworks:copper_bracer_chestplate')
    event.add('bookshelf:helmets', 'dustrial_decor:cardboard_helmet')
    event.add('bookshelf:helmets', 'aethersteel:aethersteel_armor_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:archie_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:bidoof_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:caterpiecosplay_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:cyrus_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:deerlingcosplay_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:dhelmisecosplay_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:durantcosplay_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:eiscuecosplay_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:geodudecosplay_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:giovanni_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:horseacosplay_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:igglypuffcosplay_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:koffingcosplay_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:machopcosplay_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:maxie_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:n_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:natucosplay_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:neo_team_plasma_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:pachirisucosplay_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:slugmacosplay_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:sneaselcosplay_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:swinubcosplay_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:team_aqua_grunt_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:team_flair_grunt_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:team_galactic_grunt_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:team_magma_grunt_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:team_plasma_grunt_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:team_rocket_grunt_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:team_skull_grunt_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:wooloocosplay_helmet')
    event.add('bookshelf:helmets', 'cobblemon_armor_sets:yanmacosplay_helmet')
    event.add('bookshelf:helmets', 'endlessbiomes:anklor_shell_helmet')
    event.add('bookshelf:helmets', 'galoshpere:sterling_helmet')
    event.add('bookshelf:helmets', 'immersive_armors:bone_helmet')
    event.add('bookshelf:helmets', 'immersive_armors:divine_helmet')
    event.add('bookshelf:helmets', 'immersive_armors:heavy_helmet')
    event.add('bookshelf:helmets', 'immersive_armors:prismarine_helmet')
    event.add('bookshelf:helmets', 'immersive_armors:robe_helmet')
    event.add('bookshelf:helmets', 'immersive_armors:slime_helmet')
    event.add('bookshelf:helmets', 'immersive_armors:steampunk_helmet')
    event.add('bookshelf:helmets', 'immersive_armors:warrior_helmet')
    event.add('bookshelf:helmets', 'immersive_armors:wither_helmet')
    event.add('bookshelf:helmets', 'immersive_armors:wooden_helmet')
    event.add('bookshelf:helmets', 'nethers_exoticism:kiwano_helmet')
    event.add('bookshelf:helmets', 'oresabovediamonds:amethyst_helmet')
    event.add('bookshelf:helmets', 'oresabovediamonds:black_opal_helmet')
    event.add('bookshelf:helmets', 'oresabovediamonds:netherite_opal_helmet')
    event.add('bookshelf:helmets', 'suba_gear:scuba_helmet')
    event.add('bookshelf:helmets', 'stalwart_dungeons:tungsten_helmet')
    event.add('bookshelf:helmets', 'stalwart_dungeons:chorundum_helmet')
    event.add('bookshelf:helmets', 'stalwart_dungeons:warted_tungsten_helmet')
    event.add('bookshelf:helmets', 'nethers_exoticism:rambutan_helmet')
    event.add('bookshelf:helmets', 'alexscaves:primordial_helmet')
    event.add('bookshelf:leggings', 'dustrial_decor:cardboard_leggings')
    event.add('bookshelf:leggings', 'aethersteel:aethersteel_armor_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:archie_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:bidoof_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:caterpiecosplay_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:cyrus_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:deerlingcosplay_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:dhelmisecosplay_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:durantcosplay_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:eiscuecosplay_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:geodudecosplay_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:giovanni_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:horseacosplay_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:igglypuffcosplay_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:koffingcosplay_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:machopcosplay_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:maxie_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:n_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:natucosplay_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:neo_team_plasma_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:pachirisucosplay_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:slugmacosplay_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:sneaselcosplay_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:swinubcosplay_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:team_aqua_grunt_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:team_flair_grunt_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:team_galactic_grunt_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:team_magma_grunt_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:team_plasma_grunt_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:team_rocket_grunt_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:team_skull_grunt_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:wooloocosplay_leggings')
    event.add('bookshelf:leggings', 'cobblemon_armor_sets:yanmacosplay_leggings')
    event.add('bookshelf:leggings', 'endlessbiomes:anklor_shell_leggings')
    event.add('bookshelf:leggings', 'galoshpere:sterling_leggings')
    event.add('bookshelf:leggings', 'immersive_armors:bone_leggings')
    event.add('bookshelf:leggings', 'immersive_armors:divine_leggings')
    event.add('bookshelf:leggings', 'immersive_armors:heavy_leggings')
    event.add('bookshelf:leggings', 'immersive_armors:prismarine_leggings')
    event.add('bookshelf:leggings', 'immersive_armors:robe_leggings')
    event.add('bookshelf:leggings', 'immersive_armors:slime_leggings')
    event.add('bookshelf:leggings', 'immersive_armors:steampunk_leggings')
    event.add('bookshelf:leggings', 'immersive_armors:warrior_leggings')
    event.add('bookshelf:leggings', 'immersive_armors:wither_leggings')
    event.add('bookshelf:leggings', 'immersive_armors:wooden_leggings')
    event.add('bookshelf:leggings', 'nethers_exoticism:kiwano_leggings')
    event.add('bookshelf:leggings', 'oresabovediamonds:amethyst_leggings')
    event.add('bookshelf:leggings', 'oresabovediamonds:black_opal_leggings')
    event.add('bookshelf:leggings', 'oresabovediamonds:netherite_opal_leggings')
    event.add('bookshelf:leggings', 'suba_gear:scuba_leggings')
    event.add('bookshelf:leggings', 'stalwart_dungeons:tungsten_leggings')
    event.add('bookshelf:leggings', 'stalwart_dungeons:chorundum_leggings')
    event.add('bookshelf:leggings', 'stalwart_dungeons:warted_tungsten_leggings')
    event.add('forge:shields', 'alexscaves:resistor_shield')
    event.add('forge:shields', 'bygonenether:guilded_netherite_shield')
    event.add('forge:shields', 'nethers_exoticism:rambutan_shield')
    event.add('forge:shields', 'stalwart_dungeons:tungsten_shield')
    event.add('forge:shields', 'stalwart_dungeons:chorundum_shield')
    event.add('forge:shields', 'stalwart_dungeons:warted_tungsten_shield')
    event.add('forge:shields', 'ars_nouveau:enchanters_shield')
    event.add('forge:shields', 'cataclysm:bulwark_of_the_flame')
    event.add('forge:tools/tridents', 'silentgear:trident')
    event.add('forge:tools/tridents', 'alexscaves:extinction_spear')
    event.add('forge:tools/tridents', 'alexscaves:limestone_spear')
    event.add('forge:tools/tridents', 'aether_redux:spear_of_the_blight')
    event.add('forge:fishing_rods', 'cobblemonmikeskills:old_fishing_rod')
    event.add('forge:fishing_rods', 'cobblemonmikeskills:good_fishing_rod')
    event.add('forge:fishing_rods', 'cobblemonmikeskills:super_fishing_rod')
    event.add('forge:fishing_rods', 'silentgear:fishing_rod')
    event.add('forge:elytra', 'cataclysm:ignitium_elytra_chestplate')
    event.add('forge:elytra', 'deeperdarker:soul_elytra')
    event.add('forge:elytra', 'mekanism:hdpe_elytra')
    event.add('forge:tools/hammers', 'stalwart_dungeons:wooden_hammer')
    event.add('forge:tools/hammers', 'stalwart_dungeons:iron_hammer')
    event.add('forge:tools/hammers', 'stalwart_dungeons:gold_hammer')
    event.add('forge:tools/hammers', 'stalwart_dungeons:diamond_hammer')
    event.add('forge:tools/hammers', 'stalwart_dungeons:netherite_hammer')
    event.add('forge:tools/hammers', 'stalwart_dungeons:tungsten_hammer')
    event.add('forge:tools/hammers', 'stalwart_dungeons:nether_hammer')

  /* Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
  event.remove('forge:cobblestone', 'minecraft:mossy_cobblestone')
  
  // Get #forge:ingots/copper tag and remove all entries from it
  event.removeAll('forge:ingots/copper')
  
  // Required for FTB Quests to check item NBT
  event.add('itemfilters:check_nbt', 'some_item:that_has_nbt_types')
  
  // You can create new tags the same way you add to existing, just give it a name
  event.add('forge:completely_new_tag', 'minecraft:clay_ball')
  
  // It supports adding tags to tags as well. Just prefix the second tag with #
  event.add('c:stones', '#forge:stone')
  
  // Removes all tags from this entry
  event.removeAllTagsFrom('minecraft:stick')
  */
  // Add all items from the forge:stone tag to the c:stone tag, unless the id contains diorite
//  const stones = event.get('forge:stone').getObjectIds()
//  const blacklist = Ingredient.of(/.*diorite.*/)
//  stones.forEach(stone => {
//    if (!blacklist.test(stone)) event.add('c:stone', stone)
//  })
    // Add all items from the forge:swords tag to the minecraft:swords tag
    const forge_hoes = event.get('forge:hoes').getObjectIds()
    forge_hoes.forEach(hoe => {
        event.add('minecraft:hoes', hoe)
    })
    const forge_axes = event.get('forge:axes').getObjectIds()
    forge_axes.forEach(axe => {
        event.add('minecraft:axes', axe)
    })
    const forge_tool_axes = event.get('forge:tools/axes').getObjectIds()
    forge_tool_axes.forEach(axe => {
        event.add('minecraft:axes', axe)
    })
    const forge_pickaxes = event.get('forge:pickaxes').getObjectIds()
    forge_pickaxes.forEach(pickaxe => {
        event.add('minecraft:pickaxes', pickaxe)
    })
    const forge_shovels = event.get('forge:shovels').getObjectIds()
    forge_shovels.forEach(shovel => {
        event.add('minecraft:shovels', shovel)
    })
    const forge_swords = event.get('forge:swords').getObjectIds()
    forge_swords.forEach(sword => {
        event.add('minecraft:swords', sword)
    })
    const forge_tool_swords = event.get('forge:tools/swords').getObjectIds()
    forge_tool_swords.forEach(sword => {
        event.add('minecraft:swords', sword)
    })
    const simply_swords = event.get('simplyswords:swords').getObjectIds()
    simply_swords.forEach(sword => {
        event.add('minecraft:swords', sword)
    })
    const bookshelf_boots = event.get('bookshelf:boots').getObjectIds()
    bookshelf_boots.forEach(boot => {
        event.add('forge:boots', boot)
        event.add('forge:armors/boots', boot)
    })
    const bookshelf_chestplates = event.get('bookshelf:chestplates').getObjectIds()
    bookshelf_chestplates.forEach(chestplate => {
        event.add('forge:chestplates', chestplate)
        event.add('forge:armors/chestplates', chestplate)
    })
    const create_goggles = event.get('creategoggles:goggle').getObjectIds()
    create_goggles.forEach(goggle => {
        event.add('bookshelf:helmets', goggle)
    })
    const bookshelf_helmets = event.get('bookshelf:helmets').getObjectIds()
    bookshelf_helmets.forEach(helmet => {
        event.add('forge:helmets', helmet)
        event.add('forge:armors/helmets', helmet)
    })
    const bookshelf_leggings = event.get('bookshelf:leggings').getObjectIds()
    bookshelf_leggings.forEach(legging => {
        event.add('forge:leggings', legging)
        event.add('forge:armors/leggings', legging)
    })
    const forge_bows = event.get('forge:bows').getObjectIds()
    forge_bows.forEach(bow => {
        event.add('minecraft:bows', bow)
    })
    const forge_crossbows = event.get('forge:crossbows').getObjectIds()
    forge_crossbows.forEach(crossbow => {
        event.add('minecraft:crossbows', crossbow)
    })
    const forge_hammers = event.get('forge:hammers').getObjectIds()
    forge_hammers.forEach(hammer => {
        event.add('forge:tools/hammers', hammer)
    })
})
